Scilab function
Last update : 00/00/0000

graph_power - puissance k-ième d'un 1-graphe orienté

### Calling Sequence

  `g1 = graph_power(g,k)`

### Parameters

- `g` : graphe (liste)
- `k` : entier
- `g1` : nouveau graphe (liste)

### Description

`graph_power` calcule le graphe orienté `g1` qui est la puissance k-ième du 1-graphe orienté `g`. Il y a un arc entre deux sommets dans `g1` s'il existe un chemin entre ces sommets de longueur au plus k dans `g`. `graph_power(g,1)` est le graphe `g`.

Si un tel graphe n'existe pas, un vecteur vide est renvoyé.

### Examples

    ta=[1 1 2 4 4 5 6 7 2 3 5 1];
    he=[2 6 3 6 7 8 8 8 4 7 3 5];
    g=make_graph('foo',1,8,ta,he);
    g('node_x')=[285  284  335  160  405  189  118  45];
    g('node_y')=[266  179   83  176  368  252  64  309];
    show_graph(g);
    g1=graph_power(g,2);
    show_graph(g1,'new');